既然你提到了,我可能会的。
在添加wblock命令后,我意识到不需要在fshot之后创建块。所发生的事情是,块被导出到图形内部,我只需要为我的目的显示线。
- (defun c:test (/ obj obj2 bp name)
- (setq obj (entsel));;select 3D to flatten
- (command
- "_-view" "_top"
- "flatshot" '(0 0) 1 1 0
- "_erase" obj "";;erase 3D entitiy
- "_explode" "_all";;explode fshot block
- "overkill" "_all"
- )
- (setq obj2 (ssget));;select newly create 2D lines
- (setq bp (getpoint "\nWhere is basepoint?: "));;Basepoint for Block
- (setq name (getstring T "\nWhat is the name of the block?: "));;name for block
- (initdia)
- (command
- "-wblock" "" name bp obj2
- )
- )
出于某种原因,它说overkill是一个未知的命令
此外,使用FSHOT命令将线宽设置为0,将线宽设置为bylayer的命令是什么? |